perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jie Gao <j....@sydney.edu.au>
Subject Re: Apache upgrade 2.2 -> 2.4 and "PerlAuthenHandler Authen::Simple::IMAP"
Date Wed, 20 Feb 2019 02:02:54 GMT
* Paul B. Henson <henson@acm.org> wrote:

> Date: Tue, 19 Feb 2019 17:50:15 -0800
> From: "Paul B. Henson" <henson@acm.org>
> To: modperl@perl.apache.org
> Subject: Re: Apache upgrade 2.2 -> 2.4 and "PerlAuthenHandler
>  Authen::Simple::IMAP"
> User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:60.0) Gecko/20100101
>  Thunderbird/60.5.1
> 
> On 2/19/2019 5:33 PM, Jobst Schmalenbach wrote:
> >
> >While I have fixed most of the issues realted to the upgrade of
> >Apache one I cannot solve is the "PerlAuthenHandler
> >Authen::Simple::IMAP" in .htaccess files.
> The authentication/authorization API changed between 2.2/2.4, if this module
> has not been updated to accommodate that, there is no way to fix this issue
> other than updating the module to work with the new API.
> 
> Where does this module come from? The only thing I can find is:
> 
> https://metacpan.org/pod/Authen::Simple
> 
> which does not appear to include an IMAP component.
 
Found this on CPAN:

Module  < Authen::Simple::IMAP   (DMARTIN/Authen-Simple-IMAP-0.1.2.tar.gz)


-Jie

Mime
View raw message